#ifndef SENDAUTH_H
#define SENDAUTH_H

#include <krb5/krb5.h>
#include <isode/psap.h>
#include <krb5/kdb.h>
#include <krb5/asn1.h>
#include <com_err.h>




extern char *sendauth_version;


/****************
   Types
*****************/


typedef struct SendauthArgsStruct {
  char    *appl_version;
  krb5_principal  client;
  krb5_principal  server;
  krb5_flags      ap_req_options;
  krb5_int32      *sequence;
  krb5_keyblock   **newkey;
  krb5_checksum   *checksump;
  krb5_creds      *credsp;
  krb5_error      **error;
  krb5_ap_rep_enc_part    **rep_result;
} SendauthArgs;




#ifdef __STDC__

void sendauth_init( XObj );

#endif




#endif
