/* 
 * sarProt.h
 *
 * x-kernel v3.2
 *
 * Copyright (c) 1991  Arizona Board of Regents
 *
 *
 * $Revision: 1.3 $
 * $Date: 1993/10/06 17:57:46 $
 */


#ifndef sarProt_h
#define sarProt_h

/* Address types */
typedef struct {
    unsigned short	high;
    unsigned short	mid;
    unsigned short	low;
} SARhost, sarAd_t;


#define SAR_GETSTATISTICS (TMP4_CTL * MAXOPS) + 0
#define SAR_RESET_ADAPTER (TMP4_CTL * MAXOPS) + 1

/* Header definitions */

#define SARHOSTLEN sizeof(SARhost)

#define SAR_AD_SZ		sizeof(SARhost)

#define SAR_ADS_EQUAL(A,B)	((A).high==(B).high\
					&&(A).mid==(B).mid\
					&&(A).low==(B).low)

#define ZERO_SAR_AD(ad)		{ ad.high = ad.mid = ad.low=0; }

#endif sarProt_h

