/*
 * two4one_i.h
 *
 * x-kernel v3.2
 *
 * Copyright (c) 1993,1991,1990  Arizona Board of Regents
 *
 *
 * $Revision: 1.1 $
 * $Date: 1994/11/05 03:47:50 $
 */

#define TWO4ONE_MAP_SZ		16
#define TWO4ONE_MAX_PARTS	5
#define TWO4ONE_MAX_PORTSIZE	16

#define KM_PROTL  1
#define TRANSPORT_PROTL 0

typedef struct {
    Map		passiveMap;
    int		*llptypes;
    XObj	*llplist;
    int		two4one_portsize; /* inherited from key manager */
    int		two4one_services;
    int		popparts;
    int		over_ip;
    int		type;
} PState;

typedef struct {
    int		*llptypes;
    int		*pushdown;
    Semaphore	open_wait;
} SState;

#define MAX_CONTROL_BUF 100
