
#include "ipsec-combo-sa_i.h"
#include "ipsec-combo-esp-usit.h"

/**********************************************************/
/*                                                        */
/*                  USC Types                             */
/*                  07:31:52 PM Aug 24, 1995              */
/*                  File: ip/DEBUGsunos-sparc/ipsec-combo-esp.usc*/
/*                                                        */
/**********************************************************/

typedef struct {
  esp_nat_spi_t  spi;
  esp_iv_t iv[8];          /* USC will work only for this fixed length */
} native_ip_esp_hdr, ipsecESPhdr, ipsec_esp_hdr;;

typedef struct {
  esp_nat_spi_t  spi;
} native_ip_esp_short_hdr;  /* no iv */

int  esp_peek_spi(void* l_net);

int  esp_peek_length(void* l_net);

/*
void  esp_net2native(void* l_net, void* l_nat, signed int  l_data_length);
void  esp_net2native_short(void* l_net, void* l_nat );

void  esp_native2net(void* l_nat, void* l_net, signed int  l_data_length);
void  esp_native2net_short(void* l_nat, void* l_net, signed int );
void  esp_net2native4(void* l_net, void* l_nat, signed int  l_data_length);
void  esp_net2native4_short(void* l_net, void* l_nat, signed int  l_data_length);

void  esp_native2net4(void* l_nat, void* l_net, signed int  l_data_length);
void  esp_native2net4_short(void* l_nat, void* l_net, signed int  l_data_length);
*/

int  net_ip_esp_size(void);


int esp_peek_next_hdr( void* l_net );

long ip_esp_hdr_get_usit( VOID* hdr, char* src, long  len, VOID* arg );

long ip_esp_hdr_spi_peek( void *, char *, long, void * );

void ip_esp_hdr_store( VOID* , char* , long , VOID*  );
void ip_esp_hdr_short_store( VOID* , char* , long , VOID*  );
long ip_esp_hdr_load(  VOID* hdr, char* src, long  len, VOID* arg );
long ip_esp_hdr_short_load(  VOID* hdr, char* src, long  len, VOID* arg );
