/*
 * tcp_port.h
 *
 * x-kernel v3.2
 *
 * Copyright (c) 1993,1991,1990  Arizona Board of Regents
 *
 *
 * $Revision: 1.1 $
 * $Date: 1996/07/11 21:39:21 $
 */


typedef unsigned short TCP_Sport;

#define MAX_PORT		0xffff
#define MIN_PORT		0

#define NAME 			tcp_s
#define PROT_NAME		"tcp_s"
#define TRACE_VAR		tcp_sp
#define	FIRST_USER_PORT		0x100
#define PORT_MAP_SIZE		201

/* these defines are to support the Berkeley notion of reserved ports,
 * and are common to both udp and tcp_s.
 */
#define LOW_PORT_FLOOR 0
#define LOW_PORT_CEILING 1024

#define HIGH_PORT_FLOOR 1024
#define HIGH_PORT_CEILING MAX_PORT

#include "port_mgr.h"


